
/**

GNU-DiaboloSimulator : ce programme permet de simuler des siteswaps au
diabolo.

Copyright (C) 2012 Frédéric MICOUT - fred@sujets-libres.fr
Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIALISABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. Consultez la Licence Générale
Publique GNU pour plus de détails.

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme ; si ce n’est pas le cas, consultez :
<http://www.gnu.org/licenses/>.

**/

#include "qmovablegraphicsview.h"

QMovableGraphicsView::QMovableGraphicsView(QWidget *parent) :
        QGraphicsView(parent)
{
}

int QMovableGraphicsView::posX() const
{
    return x();
}

void QMovableGraphicsView::setPosX(int i)
{
    move ( i, y() );
}

int QMovableGraphicsView::posY() const
{
    return y();
}

void QMovableGraphicsView::setPosY(int j)
{
    move ( x(), j );
}
